com.verisign.epp.codec.idntable

## Class EPPIdnTableInfoListItem

- java.lang.Object
- - com.verisign.epp.codec.idntable.EPPIdnTableInfoListItem

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPIdnTableInfoListItem
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPIdnTableInfoListItem` is used to represent an IDN Table in a List Info Form response. The IDN Table includes IDN Table identifier and the update date.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPIdnTableInfoListItem`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPIdnTableInfoListItem`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPIdnTableInfoListItem()` Default constructor for `EPPIdnTableInfoListItem`.
    `EPPIdnTableInfoListItem(java.lang.String aName, java.util.Date aUpdateDate)` Constructor for `EPPIdnTableInfoListItem` that takes the required attributed of the table identifier (name) and the update date.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPIdnTableInfoListItem` with this instance.
    `java.lang.String` | `getName()` Gets the IDN Table identifier.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.Date` | `getUpdateDate()` Gets the date and time that the IDN Table was created or last updated.
    `void` | `setName(java.lang.String aName)` Sets the IDN Table identifier.
    `void` | `setUpdateDate(java.util.Date aUpdateDate)` Sets the date and time that the IDN Table was created or last updated.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPIdnTableInfoListItem`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPIdnTableInfoListItem`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPIdnTableInfoListItem

          public EPPIdnTableInfoListItem()

      Default constructor for `EPPIdnTableInfoListItem`.

    - #### EPPIdnTableInfoListItem

          public EPPIdnTableInfoListItem(java.lang.String aName,
                                         java.util.Date aUpdateDate)

      Constructor for `EPPIdnTableInfoListItem` that takes the required attributed of the table identifier (name) and the update date.
      Parameters:
        `aName` - Table identifier
        `aUpdateDate` - Date and time the IDN Table was created or last updated.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the IDN Table identifier.
      Returns:
        The IDN Table identifier

    - #### setName

          public void setName(java.lang.String aName)

      Sets the IDN Table identifier.
      Parameters:
        `aName` - The IDN Table identifier.

    - #### getUpdateDate

          public java.util.Date getUpdateDate()

      Gets the date and time that the IDN Table was created or last updated.
      Returns:
        Date and time the IDN Table was created or last updated.

    - #### setUpdateDate

          public void setUpdateDate(java.util.Date aUpdateDate)

      Sets the date and time that the IDN Table was created or last updated.
      Parameters:
        `aUpdateDate` - Date and time the IDN Table was created or last updated.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPIdnTableInfoListItem`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPIdnTableInfoListItem`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPIdnTableInfoListItem` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.